# Interface methods for submodule: FFTWComplexToComplexFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ComplexToComplexFFTImageFilterProxy as _ComplexToComplexFFTImageFilterProxy


# Interface methods for class: FFTWComplexToComplexFFTImageFilter
class FFTWComplexToComplexFFTImageFilterProxy(_ComplexToComplexFFTImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetPlanRigor(self, value: int) -> None:
		""""""
		...

	@overload
	def SetPlanRigor(self, name: str) -> None:
		""""""
		...

	def GetPlanRigor(self) -> int:
		""""""
		...

